/**
  * Implémente les véhicules.
  */
public class Vehicule {
    /**
      * Le nombre de portes du vhéicule.
      */
    private int nbPortes;
    /**
      * Le nombre de roues du vhéicule.
      */
    public int nbRoues;

    /**
      * Modifie le nombre de portes du vhéicule
      * @param nbPortes Nombre de roue du vhéicule.
      * @param nbRoues Nombre de roue du vhéicule.
      */
    public void setCaracteristiques( int nbPortes, int nbRoues ){
        this.nbPortes = nbPortes;
        this.nbRoues = nbRoues;
    }
    /**
      * Renvoie le nombre de portes du véhicule.
      */
    public int getNbPortes(){
        return this.nbPortes;
    }
    /**
      * Fonction executée au démarrage du programme.
      * @param args arguments passés en parametre au programme.
      */
    public static void main(String[] args) {
        Vehicule vehicule = new Vehicule();
        vehicule.setCaracteristiques(3,4);
        System.out.println( "Nombre de portes : " + vehicule.getNbPortes() );
    }
}
